Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.deployment.webapp
Class WebXmlTag

    java.lang.Object
      org.apache.cactus.integration.ant.deployment.webapp.WebXmlTag

public final class WebXmlTag
extends java.lang.Object

Represents the various top-level tags in a web deployment descriptor as a typesafe enumeration.

Since:
  Cactus 1.5
Version:
  $Id: WebXmlTag.java 239137 2005-02-10 19:51:34Z vmassol $

Field Summary
`static WebXmlTag` | `AUTH_CONSTRAINT` Element name 'auth-constraint'.
`static WebXmlTag` | `AUTH_METHOD` Element name 'auth-method'.
`static WebXmlTag` | `CONTEXT_PARAM` Element name 'context-param'.
`static WebXmlTag` | `DESCRIPTION` Element name 'description'.
`static WebXmlTag` | `DISPLAY_NAME` Element name 'display-name'.
`static WebXmlTag` | `DISTRIBUTABLE` Element name 'distributable'.
`static WebXmlTag` | `EJB_LOCAL_REF` Element name 'ejb-local-ref'.
`static WebXmlTag` | `EJB_REF` Element name 'ejb-ref'.
`static WebXmlTag` | `ENV_ENTRY` Element name 'env-entry'.
`static WebXmlTag` | `ERROR_PAGE` Element name 'error-page'.
`static WebXmlTag` | `FILTER` Element name 'filter'.
`static WebXmlTag` | `FILTER_CLASS` Element name 'filter-class'.
`static WebXmlTag` | `FILTER_MAPPING` Element name 'filter-mapping'.
`static WebXmlTag` | `FILTER_NAME` Element name 'filter-name'.
`static WebXmlTag` | `ICON` Element name 'icon'.
`static WebXmlTag` | `INIT_PARAM` Element name 'init-param'.
`static WebXmlTag` | `JSP_FILE` Element name 'jsp-file'.
`static WebXmlTag` | `LISTENER` Element name 'listener'.
`static WebXmlTag` | `LOAD_ON_STARTUP` Element name 'load-on-startup'.
`static WebXmlTag` | `LOGIN_CONFIG` Element name 'login-config'.
`static WebXmlTag` | `MIME_MAPPING` Element name 'mime-mapping'.
`static WebXmlTag` | `PARAM_NAME` Element name 'param-name'.
`static WebXmlTag` | `PARAM_VALUE` Element name 'param-value'.
`static WebXmlTag` | `REALM_NAME` Element name 'realm-name'.
`static WebXmlTag` | `RESOURCE_ENV_REF` Element name 'resource-env-ref'.
`static WebXmlTag` | `RESOURCE_REF` Element name 'resource-ref'.
`static WebXmlTag` | `ROLE_NAME` Element name 'role-name'.
`static WebXmlTag` | `RUN_AS` Element name 'run-as'.
`static WebXmlTag` | `SECURITY_CONSTRAINT` Element name 'security-constraint'.
`static WebXmlTag` | `SECURITY_ROLE` Element name 'security-role'.
`static WebXmlTag` | `SERVLET` Element name 'servlet'.
`static WebXmlTag` | `SERVLET_CLASS` Element name 'servlet-class'.
`static WebXmlTag` | `SERVLET_MAPPING` Element name 'servlet-mapping'.
`static WebXmlTag` | `SERVLET_NAME` Element name 'servlet-name'.
`static WebXmlTag` | `SESSION_CONFIG` Element name 'session-config'.
`static WebXmlTag` | `TAGLIB` Element name 'taglib'.
`static WebXmlTag` | `URL_PATTERN` Element name 'url-pattern'.
`static WebXmlTag` | `WEB_RESOURCE_COLLECTION` Element name 'web-resource-collection'.
`static WebXmlTag` | `WEB_RESOURCE_NAME` Element name 'web-resource-name'.
`static WebXmlTag` | `WELCOME_FILE_LIST` Element name 'welcome-file-list'.

Method Summary
`boolean` | `equals(java.lang.Object theOther)`
`java.lang.String` | `getTagName()` Returns the tag name.
`int` | `hashCode()`
`boolean` | `isMultipleAllowed()` Returns whether the tag may occur multiple times in the descriptor.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ICON

    public static final WebXmlTag ICON

  Element name 'icon'.

### DISPLAY_NAME

    public static final WebXmlTag DISPLAY_NAME

  Element name 'display-name'.

### DESCRIPTION

    public static final WebXmlTag DESCRIPTION

  Element name 'description'.

### DISTRIBUTABLE

    public static final WebXmlTag DISTRIBUTABLE

  Element name 'distributable'.

### CONTEXT_PARAM

    public static final WebXmlTag CONTEXT_PARAM

  Element name 'context-param'.

### PARAM_NAME

    public static final WebXmlTag PARAM_NAME

  Element name 'param-name'.

### PARAM_VALUE

    public static final WebXmlTag PARAM_VALUE

  Element name 'param-value'.

### FILTER

    public static final WebXmlTag FILTER

  Element name 'filter'.

### FILTER_NAME

    public static final WebXmlTag FILTER_NAME

  Element name 'filter-name'.

### FILTER_CLASS

    public static final WebXmlTag FILTER_CLASS

  Element name 'filter-class'.

### FILTER_MAPPING

    public static final WebXmlTag FILTER_MAPPING

  Element name 'filter-mapping'.

### INIT_PARAM

    public static final WebXmlTag INIT_PARAM

  Element name 'init-param'.

### LISTENER

    public static final WebXmlTag LISTENER

  Element name 'listener'.

### SERVLET

    public static final WebXmlTag SERVLET

  Element name 'servlet'.

### SERVLET_NAME

    public static final WebXmlTag SERVLET_NAME

  Element name 'servlet-name'.

### JSP_FILE

    public static final WebXmlTag JSP_FILE

  Element name 'jsp-file'.

### SERVLET_CLASS

    public static final WebXmlTag SERVLET_CLASS

  Element name 'servlet-class'.

### LOAD_ON_STARTUP

    public static final WebXmlTag LOAD_ON_STARTUP

  Element name 'load-on-startup'.

### RUN_AS

    public static final WebXmlTag RUN_AS

  Element name 'run-as'.

### SERVLET_MAPPING

    public static final WebXmlTag SERVLET_MAPPING

  Element name 'servlet-mapping'.

### URL_PATTERN

    public static final WebXmlTag URL_PATTERN

  Element name 'url-pattern'.

### SESSION_CONFIG

    public static final WebXmlTag SESSION_CONFIG

  Element name 'session-config'.

### MIME_MAPPING

    public static final WebXmlTag MIME_MAPPING

  Element name 'mime-mapping'.

### WELCOME_FILE_LIST

    public static final WebXmlTag WELCOME_FILE_LIST

  Element name 'welcome-file-list'.

### ERROR_PAGE

    public static final WebXmlTag ERROR_PAGE

  Element name 'error-page'.

### TAGLIB

    public static final WebXmlTag TAGLIB

  Element name 'taglib'.

### RESOURCE_ENV_REF

    public static final WebXmlTag RESOURCE_ENV_REF

  Element name 'resource-env-ref'.

### RESOURCE_REF

    public static final WebXmlTag RESOURCE_REF

  Element name 'resource-ref'.

### SECURITY_CONSTRAINT

    public static final WebXmlTag SECURITY_CONSTRAINT

  Element name 'security-constraint'.

### WEB_RESOURCE_COLLECTION

    public static final WebXmlTag WEB_RESOURCE_COLLECTION

  Element name 'web-resource-collection'.

### WEB_RESOURCE_NAME

    public static final WebXmlTag WEB_RESOURCE_NAME

  Element name 'web-resource-name'.

### AUTH_CONSTRAINT

    public static final WebXmlTag AUTH_CONSTRAINT

  Element name 'auth-constraint'.

### LOGIN_CONFIG

    public static final WebXmlTag LOGIN_CONFIG

  Element name 'login-config'.

### AUTH_METHOD

    public static final WebXmlTag AUTH_METHOD

  Element name 'auth-method'.

### REALM_NAME

    public static final WebXmlTag REALM_NAME

  Element name 'realm-name'.

### SECURITY_ROLE

    public static final WebXmlTag SECURITY_ROLE

  Element name 'security-role'.

### ROLE_NAME

    public static final WebXmlTag ROLE_NAME

  Element name 'role-name'.

### ENV_ENTRY

    public static final WebXmlTag ENV_ENTRY

  Element name 'env-entry'.

### EJB_REF

    public static final WebXmlTag EJB_REF

  Element name 'ejb-ref'.

### EJB_LOCAL_REF

    public static final WebXmlTag EJB_LOCAL_REF

  Element name 'ejb-local-ref'.

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### getTagName

    public java.lang.String getTagName()

  Returns the tag name.

  Returns:
    The tag name

### isMultipleAllowed

    public boolean isMultipleAllowed()

  Returns whether the tag may occur multiple times in the descriptor.

  Returns:
    Whether multiple occurrences are allowed

### toString

    public java.lang.String toString()

  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.